ru.bitel.bgbilling.modules.smarthouse.common.bean

## Class SmartHousePackageContract

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageContract

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class SmartHousePackageContract
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartHousePackageContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PeriodWithTime` | `getCalcPeriod()`
    `int` | `getCalcPeriodCount()`
    `int` | `getContractId()`
    `java.lang.String` | `getData()`
    `int` | `getObjectId()`
    `java.math.BigDecimal` | `getPackageCost()`
    `java.time.LocalDateTime` | `getPackageCostDate()`
    `int` | `getPackageId()`
    `PeriodWithTime` | `getPeriod()`
    `int` | `getReserveId()`
    `void` | `setCalcPeriod(PeriodWithTime calcPeriod)`
    `void` | `setCalcPeriodCount(int calcPeriodCount)`
    `void` | `setContractId(int contractId)`
    `void` | `setData(java.lang.String data)`
    `void` | `setObjectId(int objectId)`
    `void` | `setPackageCost(java.math.BigDecimal packageCost)`
    `void` | `setPackageCostDate(java.time.LocalDateTime packageCostDate)`
    `void` | `setPackageId(int packageId)`
    `void` | `setPeriod(PeriodWithTime period)`
    `void` | `setReserveId(int reserveId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartHousePackageContract

          public SmartHousePackageContract()

  - ### Method Detail

    - #### getReserveId

          public int getReserveId()

    - #### setReserveId

          public void setReserveId(int reserveId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getPackageId

          public int getPackageId()

    - #### setPackageId

          public void setPackageId(int packageId)

    - #### getPeriod

          public PeriodWithTime getPeriod()

    - #### setPeriod

          public void setPeriod(PeriodWithTime period)

    - #### getCalcPeriod

          public PeriodWithTime getCalcPeriod()

    - #### setCalcPeriod

          public void setCalcPeriod(PeriodWithTime calcPeriod)

    - #### getCalcPeriodCount

          public int getCalcPeriodCount()

    - #### setCalcPeriodCount

          public void setCalcPeriodCount(int calcPeriodCount)

    - #### getPackageCost

          public java.math.BigDecimal getPackageCost()

    - #### setPackageCost

          public void setPackageCost(java.math.BigDecimal packageCost)

    - #### getPackageCostDate

          public java.time.LocalDateTime getPackageCostDate()

    - #### setPackageCostDate

          public void setPackageCostDate(java.time.LocalDateTime packageCostDate)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)